---
updatedAt: 2026-05-28T21:10:30.000Z
agentTools:
  projectIndex: https://docs.hivestack.com/llms.txt
---

# Update Site Data for Event

Allows pushing on / off states for an event for specific sites. Sites not mentioned will keep the value they had previously been set to.

The new status can be true, false or null if the value is not defined.
If the value isn't defined, the site location's status will be used.
If the value isn't defined, the global status will be used.

The keys of the `new_statuses` object are stringified `site_id` integers previously fetched using the `GET /sites` endpoint.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Custom Events",
    "version": "2",
    "description": "Custom Event management and data pushes",
    "contact": {
      "email": "support@perion.com"
    }
  },
  "tags": [
    {
      "name": "Event Data Management"
    }
  ],
  "servers": [
    {
      "url": "https://apps.hivestack.com/api/v2",
      "description": ""
    }
  ],
  "security": [
    {
      "hs-auth": []
    }
  ],
  "components": {
    "securitySchemes": {
      "hs-auth": {
        "name": "hs-auth",
        "type": "apiKey",
        "in": "header",
        "description": "The value should follow the following format: `apikey access_key:secret_key`"
      }
    },
    "schemas": {
      "StatusUpdates": {
        "title": "StatusUpdates",
        "type": "object",
        "example": {
          "valid_until_utc": "2021-06-23T11:21:03Z",
          "new_statuses": {
            "12345": true,
            "12346": false,
            "12347": null
          }
        },
        "properties": {
          "valid_until_utc": {
            "type": "string",
            "format": "date-time",
            "example": "2021-06-23T11:21:03Z",
            "description": "Expiry date of the pushed updates in UTC"
          },
          "new_statuses": {
            "type": "object",
            "title": "StatusUpdates",
            "minProperties": 1,
            "additionalProperties": {
              "type": "boolean",
              "nullable": true
            },
            "description": "An object where keys are stringified integers of the IDs that should be updated and where the values are nullable booleans where null means removing the currently stored value"
          }
        }
      }
    }
  },
  "paths": {
    "/customevents/{uuid}/sites/status": {
      "parameters": [
        {
          "name": "uuid",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "format": "uuid",
            "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
            "example": "ea0e5979-ed3e-48fc-b213-0f86940a25a6"
          },
          "description": "The custom event uuid"
        }
      ],
      "post": {
        "summary": "Update Site Data for Event",
        "tags": [
          "Event Data Management"
        ],
        "operationId": "post-uuid-sites-status",
        "description": "Allows pushing on / off states for an event for specific sites. Sites not mentioned will keep the value they had previously been set to.\n\nThe new status can be true, false or null if the value is not defined.\nIf the value isn't defined, the site location's status will be used.\nIf the value isn't defined, the global status will be used.\n\nThe keys of the `new_statuses` object are stringified `site_id` integers previously fetched using the `GET /sites` endpoint.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/StatusUpdates"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK\n"
          }
        }
      }
    }
  }
}
```